
#if !defined(__MT_SPURAVOID_H)
#define __MT_SPURAVOID_H

// mt_spuravoid.h

#include "mt_userdef.h"
#include "MT2060Struct.h"

#if defined( __cplusplus )
extern "C"                     /* Use "C" external linkage                  */
{
#endif

/*
**  Constant defining the version of the following structure
**  and therefore the API for this code.
**
**  When compiling the tuner driver, the preprocessor will 
**  check against this version number to make sure that 
**  it matches the version that the tuner driver knows about.
*/
/* Version 010200 => 1.20 */
#define MT_AVOID_SPURS_INFO_VERSION 010200


struct MT_ExclZone_t;



UData_t MT_RegisterTuner(MT_AvoidSpursData_t* pAS_Info);

void MT_UnRegisterTuner(MT_AvoidSpursData_t* pAS_Info);

void MT_ResetExclZones(MT_AvoidSpursData_t* pAS_Info);

void MT_AddExclZone(MT_AvoidSpursData_t* pAS_Info,
                    UData_t f_min,
                    UData_t f_max);

UData_t MT_ChooseFirstIF(MT_AvoidSpursData_t* pAS_Info);

UData_t MT_AvoidSpurs(
					  Handle_t h,
					  MT_AvoidSpursData_t* pAS_Info
					  );

#if defined( __cplusplus )
}
#endif

#endif

