
#if !defined( __MT_USERDEF_H )
#define __MT_USERDEF_H

// mt_userdef.h

#include "mt_errordef.h"
#include "MT2060Struct.h"

#if defined( __cplusplus )     
extern "C"                               /* Use "C" external linkage*/
{
#endif

#define MT_TUNER_CNT	(1)			/*  total num of MicroTuner tuners  */
#define MAX_UDATA		(4294967295)	/*  max value storable in UData_t   */

typedef unsigned short USHORT;
typedef unsigned long ULONG;
typedef unsigned char UCHAR;
typedef unsigned int UINT;

	
//Description:Write values to device using a two-wire serial bus.
UData_t MT_WriteSub(
			Handle_t hUserData, 
			UData_t addr, 
			U8Data subAddress, 
			U8Data *pData, 
			UData_t cnt
			);


//Description:Read values from device using a two-wire serial bus.
UData_t MT_ReadSub(
			Handle_t hUserData, 
			UData_t addr, 
			U8Data subAddress, 
			U8Data *pData, 
			UData_t cnt
			);

//Description:Delay execution for "nMinDelayTime" milliseconds
void MT_Sleep(
			Handle_t hUserData,
			UData_t nMinDelayTime
			);


#if defined(MT2060_CNT)
#if MT2060_CNT > 0

//Description: Measure the relative tuner gain using the demodulator
UData_t MT_TunerGain(
			Handle_t hUserData,
			SData_t* pMeas
			);

#endif  // MT2060_CNT > 0
#endif  // defined(MT2060_CNT)

#if defined( __cplusplus )     
}
#endif

#endif

