/* Common header file of Linux driver for the WideView/ Yakumo/ Hama/
 * Typhoon/ Yuan DVB-T USB2.0 receiver.
 *
 * Copyright (C) 2004-5 Patrick Boettcher (patrick.boettcher@desy.de)
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the Free
 *	Software Foundation, version 2.
 *
 * see Documentation/dvb/README.dvb-usb for more information
 */
#ifndef _DVB_USB_RTD2831U_H_
#define _DVB_USB_RTD2831U_H_

#define DVB_USB_LOG_PREFIX "rtd2831u"

#include "dvb-usb.h"

#define	USB_VID_REALTEK			0x0BDA
#define	USB_PID_RTD2831U_WARM	0x2831 

#define	USB_VID_REALTEK_2			0x2304
#define	USB_PID_RTD2831U_WARM_2	0x022B 

#define	USB_VID_HAIHUA			0x13D3
#define	USB_PID_HAIHUAUSB_WARM	0x3216 
#define	USB_PID_HAIHUAMIN_WARM	0x3220 
#define	USB_PID_HAIHUAA_WARM	0x3236 
#define	USB_PID_HAIHUAL_WARM	0x3238 
#define	USB_PID_HAIHUAZ_WARM	0x3244 

#define	USB_VID_BILLIONTON		0x08DD
#define	USB_PID_BILLIONTON_WARM	0x2103 

#define	USB_VID_COMPRO			0x185B
#define	USB_PID_COMPRO_WARM		0x0100 

#define	USB_VID_VESTEL				0x1A46
#define	USB_PID_VESTEL_WARM		0x1601 

#define	USB_VID_FREECOM			0x14AA
#define	USB_PID_FREECOM_WARM	0x0160 









#define RTD2831_URB_SIZE			4096
#define RTD2831_URB_NUMBER		7
#define RTD2831_CTRL_ENDPOINT		0x00

extern int dvb_usb_rtd2831u_debug;
#define deb_info(args...) dprintk(dvb_usb_rtd2831u_debug,0x01,args)
#define deb_xfer(args...) dprintk(dvb_usb_rtd2831u_debug,0x02,args)


struct rtl2831u_rc_state {
	unsigned char b_rc_initial;
	int repeat_key_count;
	int rc_key_repeat_count;
};


extern struct dvb_frontend * rtd2831u_fe_attach(struct dvb_usb_device *d);

#endif
