#ifndef __TUNER_DEMOD_IO_H__
#define __TUNER_DEMOD_IO_H__


#include "dvb-usb.h"


#define RTD2831_URB_SIZE			4096
#define RTD2831_URB_NUMBER		7
#define RTD2831_CTRL_ENDPOINT		0x00

#define DIBUSB_I2C_TIMEOUT				5000

#define SKEL_VENDOR_IN  (USB_DIR_IN|USB_TYPE_VENDOR)
#define SKEL_VENDOR_OUT (USB_DIR_OUT|USB_TYPE_VENDOR)

#define DEMOD_I2C_ADDRESS 0x20
#define SYS_BASE_ADDRESS	0x30 //0x3000
#define USB_BASE_ADDRESS	0x20 //0x2000 


#define RTD2830_PAGE_REG            0x00
#define RTD2830_PAGE_0              0x00
#define RTD2830_PAGE_1              0x01
#define RTD2830_PAGE_2              0x02
#define RTD2830_PAGE_3              0x03
#define RTD2830_PAGE_4              0x04    
#define RTD2831U_USB                0x05
#define RTD2831U_SYS                0x06




extern int RTD2831_READ_BYTES(
struct dvb_usb_device*	dib,
    int			page_addr,
    int			byte_addr,
    unsigned char*	buf,
    unsigned short	byte_num);



extern int RTD2831_WRITE_BYTES(
struct dvb_usb_device*	dib,
    int			page_addr,
    int			byte_addr,
    unsigned char*	buf,
    unsigned short	byte_num);



extern int TUNER_RI2C(
struct dvb_usb_device *dib,
    u8				tuner_addr,    
    u8				reg_addr,
    unsigned char*		buf,
    unsigned short		byte_num);


extern int TUNER_WI2C(
struct dvb_usb_device *dib,
    u8				tuner_addr,    
    u8				reg_addr,
    unsigned char*		buf,
    unsigned short		byte_num);

#endif



